--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: name
  rw: RW
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: Represents a parser that parses a certain grammar rule.
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: MyMonad
  value: ParserMonad.new
full_name: RParsec::Parser
includes: 
- !ruby/object:RI::IncludedModule 
  name: Functors
- !ruby/object:RI::IncludedModule 
  name: Monad
instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: "*"
- !ruby/object:RI::MethodSummary 
  name: "<<"
- !ruby/object:RI::MethodSummary 
  name: ">>"
- !ruby/object:RI::MethodSummary 
  name: atomize
- !ruby/object:RI::MethodSummary 
  name: bindn
- !ruby/object:RI::MethodSummary 
  name: catchp
- !ruby/object:RI::MethodSummary 
  name: delimited
- !ruby/object:RI::MethodSummary 
  name: delimited1
- !ruby/object:RI::MethodSummary 
  name: expect
- !ruby/object:RI::MethodSummary 
  name: followed
- !ruby/object:RI::MethodSummary 
  name: fragment
- !ruby/object:RI::MethodSummary 
  name: infixl
- !ruby/object:RI::MethodSummary 
  name: infixn
- !ruby/object:RI::MethodSummary 
  name: infixr
- !ruby/object:RI::MethodSummary 
  name: lexeme
- !ruby/object:RI::MethodSummary 
  name: lookahead
- !ruby/object:RI::MethodSummary 
  name: many
- !ruby/object:RI::MethodSummary 
  name: many_
- !ruby/object:RI::MethodSummary 
  name: map
- !ruby/object:RI::MethodSummary 
  name: mapn
- !ruby/object:RI::MethodSummary 
  name: nested
- !ruby/object:RI::MethodSummary 
  name: not
- !ruby/object:RI::MethodSummary 
  name: optional
- !ruby/object:RI::MethodSummary 
  name: parse
- !ruby/object:RI::MethodSummary 
  name: peek
- !ruby/object:RI::MethodSummary 
  name: postfix
- !ruby/object:RI::MethodSummary 
  name: prefix
- !ruby/object:RI::MethodSummary 
  name: repeat
- !ruby/object:RI::MethodSummary 
  name: repeat_
- !ruby/object:RI::MethodSummary 
  name: separated
- !ruby/object:RI::MethodSummary 
  name: separated1
- !ruby/object:RI::MethodSummary 
  name: seq
- !ruby/object:RI::MethodSummary 
  name: setName
- !ruby/object:RI::MethodSummary 
  name: some
- !ruby/object:RI::MethodSummary 
  name: some_
- !ruby/object:RI::MethodSummary 
  name: to_s
- !ruby/object:RI::MethodSummary 
  name: token
- !ruby/object:RI::MethodSummary 
  name: "|"
- !ruby/object:RI::MethodSummary 
  name: "~"
name: Parser
superclass: Object
